package com.magnatune.eyecreate.companionformagnatune.login;

import android.content.Context;

import com.magnatune.eyecreate.companionformagnatune.MagnatuneCompainionApplication;
import com.magnatune.eyecreate.companionformagnatune.R;

public class MagnatuneAccountManager {

    private static final String SECURE_STORAGE = "securestorage";
    private static final String SP_KEY_USERNAME = "username";
    private static final String SP_KEY_PASSWORD = "password";

    public static String getMagnatuneName() {
        ObscuredSharedPreferences securedPrefs = ObscuredSharedPreferences.getPrefs(MagnatuneCompainionApplication.getApplication(), SECURE_STORAGE, Context.MODE_PRIVATE);
        return securedPrefs.getString(SP_KEY_USERNAME,MagnatuneCompainionApplication.getApplication().getString(R.string.anon_user));
    }

    public static boolean isLoggedIn() {
        return false;
    }
}
